from lexer import lexer
import sys
def tokenizer(in_file,out_file):
    in_content = ""
    if in_file is not None:
        try:
            in_fd = open(in_file,"r")
            in_content = in_fd.read()
            in_fd.close()
        except Exception as e:
            print(f"Error: {e}",file=sys.stderr)
            return
    else:
        in_content = sys.stdin.read()
         
    lexer.input(in_content)
    output = ""
    for tok in lexer:
        output += tok + "\n"
    if out_file is not None:
        try:
            out_fd = open(out_file,"w")
            out_fd.write(output)
            out_fd.close()
        except Exception as e:
            print(f"Error: {e}",file=sys.stderr)
            return
    else:
        print(output)
